/* ==UserStyle==
@name YouTube DeepDark Material
@namespace gitlab.com/RaitaroH/YouTube-DeepDark
@homepageURL https://gitlab.com/RaitaroH/YouTube-DeepDark
@version 2.9.0
@updateURL https://gitlab.com/RaitaroH/YouTube-DeepDark/raw/master/YouTubeDeepDarkMaterial.user.css
@description Videos should only be watched in the dark. May the dark be kinder on thine eyes. (YouTube dark theme)
@author RaitaroH
@license GNU-V3.0

@preprocessor uso
@var select mainColor 'Main color' {
	"DeepDark": "#00adee",
	"BreezeDark": "#3DAEE9",
	"Vertex Dark": "#4080fb",
	"Arc Dark": "#5294E2",
	"Firefox Dark": "#5675B9",
	"Firefox57": "#4080FB",
	"Discord": "#7289DA",
	"YouTubeDark": "#E52117",
	"Mint-Y-Dark": "#9AB87C",
	"9anime": "#723f8c",
	"Black&White": "#ffffff",
	"Yellow_petrocompletions": "#FFC700",
	"Yellow2": "#FFC700",
	"Ubuntu_grey": "#EF7847",
	"Ubuntu_purple": "#EF7847",
	"Orange": "#ff6905",
	"Jisho_夜明け": "#EF7D6C",
	"Custom": "/*[[custom-main-color]]*\/"
}
@var color custom-main-color "Custom main color" "#00adee"

@var select mainBackground 'Main background color' {
	"DeepDark": "#111111",
	"BreezeDark": "#232629",
	"Vertex Dark": "#2B2B2C",
	"Arc Dark": "#343944",
	"Firefox Dark": "#272B35",
	"Firefox57": "#0C0C0D",
	"Discord": "#1E2124",
	"YouTubeDark": "#111111",
	"Mint-Y-Dark": "#2F2F2F",
	"9anime": "#0B0A0D",
	"Black&White": "#000000",
	"Yellow_petrocompletions": "#141414",
	"Yellow2": "#0a0800",
	"Ubuntu_grey": "#312D2A",
	"Ubuntu_purple": "#2C071A",
	"Orange": "#0a0400",
	"Jisho_夜明け": "#332222",
	"Custom": "/*[[custom-main-background]]*\/"
}
@var color custom-main-background "Custom main background" "#111111"

@var select secondBackground 'Second background color' {
	"DeepDark": "#181818",
	"BreezeDark": "#2a2e32",
	"Vertex Dark": "#353638",
	"Arc Dark": "#383C4A",
	"Firefox Dark": "#181D20",
	"Firefox57": "#252526",
	"Discord": "#2F3136",
	"YouTubeDark": "#232323",
	"Mint-Y-Dark": "#383838",
	"9anime": "#17151C",
	"Black&White": "#0a0a0a",
	"Yellow_petrocompletions": "#202222",
	"Yellow2": "#0c0a04",
	"Ubuntu_grey": "#3D3C38",
	"Ubuntu_purple": "#430B28",
	"Orange": "#0e0702",
	"Jisho_夜明け": "#2A1B1B",
	"Custom": "/*[[custom-second-background]]*\/"
}
@var color custom-second-background "Custom second background" "#181818"

@var select hoverBackground 'Hover background color' {
	"DeepDark": "#232323",
	"BreezeDark": "#31363b",
	"Vertex Dark": "#515254",
	"Arc Dark": "#414A59",
	"Firefox Dark": "#353A44",
	"Firefox57": "#323234",
	"Discord": "#484B51",
	"YouTubeDark": "#343434",
	"Mint-Y-Dark": "#404040",
	"9anime": "#1E1C25",
	"Black&White": "#0f0f0f",
	"Yellow_petrocompletions": "#353838",
	"Yellow2": "#0f0d05",
	"Ubuntu_grey": "#59564D",
	"Ubuntu_purple": "#520D30",
	"Orange": "#110903",
	"Jisho_夜明け": "#863B2F",
	"Custom": "/*[[custom-hover-background]]*\/"
}
@var color custom-hover-background "Custom hover background" "#232323"

@var select mainText 'Main text color' {
	"DeepDark": "#eff0f1",
	"BreezeDark": "#eff0f1",
	"Vertex Dark": "#F3F3F5",
	"Arc Dark": "#C1C8D1",
	"Firefox Dark": "#E3EEF9",
	"Firefox57": "#F9F9FA",
	"Discord": "#FFFFFF",
	"YouTubeDark": "#E1E1E1",
	"Mint-Y-Dark": "#FFFFFF",
	"9anime": "#B4B4B4",
	"Black&White": "#b4b4b4",
	"Yellow_petrocompletions": "#EFF0F1",
	"Yellow2": "#fffdf5",
	"Ubuntu_grey": "#F2F1EF",
	"Ubuntu_purple": "#F2F1EF",
	"Orange": "#fff9f5",
	"Jisho_夜明け": "#EFB26C",
	"Custom": "/*[[custom-main-text]]*\/"
}
@var color custom-main-text "main-text" "#eff0f1"

@var select dimmerText 'Secondary text color' {
	"DeepDark": "#CCCCCC",
	"BreezeDark": "#bdc3c7",
	"Vertex Dark": "#AEAFB0",
	"Arc Dark": "#B3BAC5",
	"Firefox Dark": "#606376",
	"Firefox57": "#D0D0D0",
	"Discord": "#ADA8AA",
	"YouTubeDark": "#7F7F7F",
	"Mint-Y-Dark": "#D5DADA",
	"9anime": "#747474",
	"Black&White": "#828282",
	"Yellow_petrocompletions": "#9F9999",
	"Yellow2": "#fff8e1",
	"Ubuntu_grey": "#E6E5E3",
	"Ubuntu_purple": "#E6E5E3",
	"Orange": "#ffede1",
	"Jisho_夜明け": "#986E3F",
	"Custom": "/*[[custom-dimmer-text]]*\/"
}
@var color custom-dimmer-text "dimmer-text" "#CCCCCC"

==/UserStyle== */

@-moz-document regexp('https?:\/\/(?!gaming\.).*youtube\.com\/(?!premium).*$') {

/*For the new Material Design for YouTube*/
/*Theme made by RaitaroH @https://gitlab.com/RaitaroH/YouTube-DeepDark*/

/*GNU General Public License v3.0.*/

	/*Main color variables*/
	:root
	{
		/*User colors*/
		--main-color: /*[[mainColor]]*/;
		--main-background: /*[[mainBackground]]*/;
		--second-background: /*[[secondBackground]]*/;
		--hover-background: /*[[hoverBackground]]*/;
		--main-text: /*[[mainText]]*/;
		--dimmer-text: /*[[dimmerText]]*/;

		/*DeepDark colors*/
		/*
		--main-color: #00adee;
		--main-background: #111111;
		--second-background: #181818;
		--hover-background: #232323;
		--main-text: #eff0f1;
		--dimmer-text: #CCCCCC;
		*/

		/*KDE colors*/
		/*
		--main-color: #3DAEE9;
		--main-background: #232629;
		--second-background: #2a2e32;
		--hover-background: #31363b;
		--main-text: #eff0f1;
		--dimmer-text: #bdc3c7;
		*/

		/*Vertex Dark colors*/
		/*
		--main-color: #4080fb;
		--main-background: #2B2B2C;
		--second-background: #353638;
		--hover-background: #515254;
		--main-text: #F3F3F5;
		--dimmer-text: #AEAFB0;
		*/

		/*Arc Dark colors*/
		/*
		--main-color: #5294E2;
		--main-background: #343944;
		--second-background: #383C4A;
		--hover-background: #414A59;
		--main-text: #C1C8D1;
		--dimmer-text: #B3BAC5;
		*/

		/*Firefox Dark colors*/
		/*
		--main-color: #5675B9;
		--main-background: #272B35;
		--second-background: #181D20;
		--hover-background: #353A44;
		--main-text: #E3EEF9;
		--dimmer-text: #606376;
		*/

		/*Firefox57 Dark colors*/
		/*
		--main-color: #4080FB;
		--main-background: #0C0C0D;
		--second-background: #252526;
		--hover-background: #323234;
		--main-text: #F9F9FA;
		--dimmer-text: #D0D0D0;
		*/

		/*Discord colors*/
		/*
		--main-color: #7289DA;
		--main-background: #1E2124;
		--second-background: #2F3136;
		--hover-background: #484B51;
		--main-text: #FFFFFF;
		--dimmer-text: #ADA8AA;
		*/

		/*YouTube dark colors*/
		/*
		--main-color: #E52117;
		--main-background: #111111;
		--second-background: #232323;
		--hover-background: #343434;
		--main-text: #E1E1E1;
		--dimmer-text: #7F7F7F;
		*/

		/*YouTube light colors*/
		/*
		--main-color: #E52117;
		--main-background: #F9F9F9;
		--second-background: #FFFFFF;
		--hover-background: #EAEAEA;
		--main-text: #111111;
		--dimmer-text: #43434B;
		*/

		/*Mint-Y-Dark colors*/
		/*
		--main-color: #9AB87C;
		--main-background: #2F2F2F;
		--second-background: #383838;
		--hover-background: #404040;
		--main-text: #FFFFFF;
		--dimmer-text: #D5DADA;
		*/

		/*9anime colors*/
		/*
		--main-color: #723f8c;
		--main-background: #0B0A0D;
		--second-background: #17151C;
		--hover-background: #1E1C25;
		--main-text: #B4B4B4;
		--dimmer-text: #747474;
		*/

		/*Black and white*/
		/*
		--main-color: #ffffff;
		--main-background: #000000;
		--second-background: #0a0a0a;
		--hover-background: #0f0f0f;
		--main-text: #b4b4b4;
		--dimmer-text: #828282;
		*/

		/*Yellow (colors from petrocompletions)*/
		/*
		--main-color: #FFC700;
		--main-background: #141414;
		--second-background: #202222;
		--hover-background: #353838;
		--main-text: #EFF0F1;
		--dimmer-text: #9F9999;
		*/

		/*Yellow 2*/
		/*
		--main-color: #ffc700;
		--main-background: #0a0800;
		--second-background: #0c0a04;
		--hover-background: #0f0d05;
		--main-text: #fffdf5;
		--dimmer-text: #fff8e1;
		*/

		/*Ubuntu grey colors*/
		/*
		--main-color: #EF7847;
		--main-background: #312D2A;
		--second-background: #3D3C38;
		--hover-background: #59564D;
		--main-text: #F2F1EF;
		--dimmer-text: #E6E5E3;
		*/

		/*Ubuntu purple colors*/
		/*
		--main-color: #EF7847;
		--main-background: #2C071A;
		--second-background: #430B28;
		--hover-background: #520D30;
		--main-text: #F2F1EF;
		--dimmer-text: #E6E5E3;
		*/

		/*Orange*/
		/*
		--main-color: #ff6905;
		--main-background: #0a0400;
		--second-background: #0e0702;
		--hover-background: #110903;
		--main-text: #fff9f5;
		--dimmer-text: #ffede1;
		*/

		/*Jisho 夜明け colors https://userstyles.org/styles/115621/jisho*/
		/*
		--main-color: #EF7D6C;
		--main-background: #332222;
		--second-background: #2A1B1B;
		--hover-background: #863B2F;
		--main-text: #EFB26C;
		--dimmer-text: #986E3F;
		*/
	}

	/*Scrollbar fix for chrome*/
	body::-webkit-scrollbar-thumb
	{
		height: 56px;
		background: hsla(0, 0%, 53.3%, .4);
	}
	body::-webkit-scrollbar
	{
		width: 8px;
	}

	/*Background for the entire page*/
	html, ytd-browse, ytd-watch, ytd-search, ytd-app, [class*="ytd-watch-flexy"], ytd-watch-flexy[flexy_][flexy-large-window_]
	{
		background-color: var(--main-background) !important;
	}

	/*Border for the sidemenu*/
	#guide-content.ytd-app
	{
		border-right: 1px solid var(--yt-border-color) !important;
	}

	/*Changed text highlight*/
	::selection
	{
		background: var(--main-color) !important;
		color: var(--main-text) !important;
	}
	::-moz-selection
	{
		background: var(--main-color) !important;
		color: var(--main-text) !important;
	}

	/*Outline for links*/
 	a
 	{
     		outline-color: var(--main-color) !important;
	}
	a:hover
	{
		color: var(--main-color) !important;
		fill: var(--main-color) !important;
	}
	/*Outline for comments*/
	#content-text.ytd-comment-renderer
	{
    		outline: none !important;
	}

	/*Nav bar*/
	ytd-masthead
	{
		background-color: var(--second-background) !important;
	}
	yt-icon-button svg
	{
		fill: var(--dimmer-text) !important;
	}
	yt-icon-button:hover svg
	{
		fill: var(--main-color) !important;
	}
	#logo-icon-container.ytd-topbar-logo-renderer #youtube-paths.ytd-topbar-logo-renderer path.ytd-topbar-logo-renderer
	{
		fill: var(--main-text) !important;
	}

	/*YouTube Apps*/
	yt-multi-page-menu-section-renderer.style-scope div ytd-compact-link-renderer a paper-item div yt-icon svg g path[fill="#F00"],
	yt-multi-page-menu-section-renderer.style-scope div ytd-compact-link-renderer a paper-item div yt-icon svg g path[fill="#f00"],
	yt-multi-page-menu-section-renderer.style-scope div ytd-compact-link-renderer a paper-item div yt-icon svg g path[fill="#FF8983"],
	yt-multi-page-menu-section-renderer.style-scope div ytd-compact-link-renderer a paper-item div yt-icon svg g path[fill="#E23229"],
	yt-multi-page-menu-section-renderer.style-scope div ytd-compact-link-renderer a paper-item div yt-icon svg g path[fill="#C7322A"],
	yt-multi-page-menu-section-renderer.style-scope div ytd-compact-link-renderer a paper-item div yt-icon svg g  circle[fill="red"]
	{
		fill: var(--main-color) !important;
	}
	/*Upload*/
	ytd-compact-link-renderer.style-scope a paper-item div yt-icon svg g path[fill="#6f6f6f"],
	ytd-compact-link-renderer.style-scope a paper-item div yt-icon svg g path[fill="#f80000"]
	{
		fill: var(--main-color) !important;
	}
	#sections.ytd-multi-page-menu-renderer > .ytd-multi-page-menu-renderer:not(:last-child)
	{
    	border-color: var(--hover-background) !important;
	}

	/*Chat in the header*/
	ytd-conversation-switcher-item-renderer
	{
    	border-color: var(--hover-background) !important;
	}
	#last-post.ytd-conversation-switcher-item-renderer
	{
		color: var(--dimmer-text) !important;
	}
	/*invite friends*/
	#bar.ytd-copy-connection-invite-url-renderer
	{
		background: var(--hover-background) !important;
		border-color: var(--hover-background) !important;
	}
	#icon.ytd-copy-connection-invite-url-renderer
	{
		color: var(--main-text) !important;
	}
	/*chat popup*/
	ytd-conversation-section-renderer
	{
		background: var(--second-background) !important;
	}
	#title-bar.ytd-conversation-section-renderer
	{
    	border-color: var(--hover-background) !important;
	}
	ytd-conversation-text-item-renderer[justification-style="JUSTIFICATION_START"] #post-text.ytd-conversation-text-item-renderer,
	ytd-conversation-link-item-renderer[justification-style="JUSTIFICATION_START"] #link.ytd-conversation-link-item-renderer,
	#bar.ytd-conversation-link-item-renderer, #thumbnail.ytd-inline-playback-renderer, #video-data.ytd-inline-playback-renderer
	{
		border-color: var(--hover-background) !important;
		background: var(--hover-background) !important;
	}
	#post-text.ytd-conversation-text-item-renderer, textarea.iron-autogrow-textarea
	{
		color: var(--main-text) !important;
	}
	#displayed-text.ytd-conversation-link-item-renderer, #icon.ytd-conversation-link-item-renderer
	{
		color: var(--main-color) !important;
	}
	#metadata.ytd-conversation-metadata-item-renderer
	{
		color: var(--dimmer-text) !important;
	}

	/*Backgrounds*/
	#like-bar.ytd-sentiment-bar-renderer,#progress.ytd-thumbnail-overlay-resume-playback-renderer,#selectionBar.paper-tabs
	{
		background-color: var(--main-color) !important;
	}

	/*Sidebar*/
	#guide-content.ytd-app, #contentContainer.app-drawer
	{
		background: var(--second-background) !important;
	}
	#endpoint.yt-simple-endpoint.ytd-guide-entry-renderer, #guide-section-title.ytd-guide-section-renderer
	{
		color: var(--main-text) !important;
	}
	ytd-guide-entry-renderer:hover #endpoint.yt-simple-endpoint.ytd-guide-entry-renderer,
	ytd-guide-entry-renderer:hover svg
	{
		color: var(--main-color) !important;
		fill: var(--main-color) !important;
	}
	#sections.ytd-guide-renderer > .ytd-guide-renderer:not(:last-child), #guide-links-primary.ytd-guide-renderer, #guide-content.ytd-app
	{
		border-color: var(--hover-background) !important;
	}
	#guide-links-primary.ytd-guide-renderer > a, #guide-links-secondary.ytd-guide-renderer > a, #footer.ytd-guide-renderer > #copyright,
	yt-formatted-string.ytd-guide-signin-promo-renderer
	{
		color: var(--dimmer-text) !important;
	}
	#guide-links-primary.ytd-guide-renderer > a:hover, #guide-links-secondary.ytd-guide-renderer > a:hover
	{
		color: var(--main-color) !important;
	}

	/*Border color for terms and conditions*/
	ytd-consent-bump-renderer
	{
		border-bottom: 1px solid var(--main-color) !important;
	}

	#title.ytd-grid-channel-renderer
	{
		color: var(--dimmer-text) !important;
	}

	/*Channel page*/
	/*header*/
	#channel-header.ytd-c4-tabbed-header-renderer, #tabs-inner-container.ytd-c4-tabbed-header-renderer
	{
		background: var(--hover-background) !important;
	}
	#channel-title.ytd-c4-tabbed-header-renderer
	{
		color: var(--main-text) !important;
	}
	#subscriber-count.ytd-c4-tabbed-header-renderer
	{
		color: var(--dimmer-text) !important;
	}
	.tab-content.paper-tab
	{
		color: var(--main-text) !important;
	}
	paper-tab:hover .tab-content.paper-tab
	{
		color: var(--main-color) !important;
	}
	/*search*/
	.input-content.paper-input-container label, .input-content.paper-input-container .paper-input-label,
	#subtitle
	{
		color: var(--dimmer-text) !important;
	}
	/*side channels*/
	#title
	{
		color: var(--main-text) !important;
	}
	.title
	{
		color: var(--main-text) !important;
	}
	.title:hover
	{
		color: var(--main-color) !important;
	}
	#contents > .ytd-browse-secondary-contents-renderer:not(:first-child)
	{
		border-color: var(--hover-background) !important;
	}
	/*videos - uploads*/
	#label-text.yt-dropdown-menu
	{
		color: var(--main-text) !important;
	}
	paper-menu-button.yt-dropdown-menu:hover #label-text.yt-dropdown-menu,
	paper-menu-button.yt-dropdown-menu:hover #label-icon.yt-dropdown-menu svg,
	paper-menu-button.yt-dropdown-menu:hover #icon-label.yt-dropdown-menu
	{
		color: var(--main-color) !important;
		fill: var(--main-color) !important;
	}
	/*community*/
	#message.ytd-message-renderer, #content-text.ytd-backstage-post-renderer
	{
		color: var(--dimmer-text) !important;
	}
	#author-text,
	.more-button, .less-button,
	.align-by-text.ytd-backstage-comments-renderer,
	#toggle.ytd-grid-renderer
	{
		color: var(--main-text) !important;
	}
	.more-button:hover, .less-button:hover,
	.align-by-text.ytd-backstage-comments-renderer:hover,
	#toggle.ytd-grid-renderer:hover
	{
		color: var(--main-color) !important;
	}
	#content-attachment ytd-video-renderer
	{
		background: var(--hover-background) !important;
	}
	#poll-votes.ytd-backstage-poll-renderer
	{
		background: transparent !important;
	}
	.vote-percentage.ytd-backstage-poll-renderer, .choice-text.ytd-backstage-poll-renderer,
	#poll-choice-text.ytd-commentbox,
	yt-icon.ytd-backstage-poll-renderer
	{
		color: var(--main-text) !important;
	}
	paper-item[selected].ytd-backstage-poll-renderer #progress-bar.ytd-backstage-poll-renderer
	{
		background: var(--main-color) !important;
	}
	/*about*/
	.subheadline, #right-column .subheadline
	{
		color: var(--main-text) !important;
	}
	#description, #bio, #right-column > yt-formatted-string
	{
		color: var(--dimmer-text) !important;
	}
	#right-column > yt-formatted-string,
	#description-container.ytd-channel-about-metadata-renderer, #bio-container.ytd-channel-about-metadata-renderer,
	#photos-container.ytd-channel-about-metadata-renderer, #details-container.ytd-channel-about-metadata-renderer,
	#links-container.ytd-channel-about-metadata-renderer
	{
		border-color: var(--hover-background) !important;
	}
	#link-list-container a
	{
		color: var(--main-color) !important;
	}
	#link-list-container:hover a
	{
		filter: brightness(110%);
	}
	/*private message*/
	ytd-form-popup-renderer[dialog][dialog][dialog]
	{
		background: var(--main-background) !important;
	}
	#buttons.ytd-form-popup-renderer
	{
		border-color: var(--hover-background) !important;
	}
	ytd-toggle-menu-service-item-renderer
	{
		color: var(--main-text) !important;
	}
	ytd-toggle-menu-service-item-renderer:hover .style-scope.ytd-toggle-menu-service-item-renderer
	{
		color: var(--main-color) !important;
	}
	ytd-toggle-menu-service-item-renderer:hover
	{
		background: var(--hover-background) !important;
	}

	/*Video page*/
	/*title*/
	.title.ytd-video-primary-info-renderer yt-formatted-string.ytd-video-primary-info-renderer
	{
		color: var(--main-text) !important;
	}
	/*views*/
	span.yt-view-count-renderer
	{
		color: var(--dimmer-text) !important;
	}
	ytd-video-primary-info-renderer
	{
		border-color: var(--hover-background) !important;
	}
	.content-text.ytd-metadata-with-image-row-renderer
	{
		color: var(--main-text) !important;
	}

	/*Share*/
	paper-dialog
	{
		background: var(--main-background) !important;
	}
	#share-url
	{
		color: var(--main-text) !important;
	}
	#copy-button:hover #text
	{
		color: var(--main-color) !important;
	}
	#bar.ytd-copy-link-renderer
	{
		background-color: var(--hover-background) !important;
		border-color: var(--hover-background) !important;
	}
	ytd-third-party-network-section-renderer ytd-copy-link-renderer.ytd-third-party-network-section-renderer
	{
		border-color: var(--hover-background) !important;
	}
	yt-formatted-string.ytd-start-at-renderer
	{
		color: var(--main-text) !important;
	}

	/*Playlist creation*/
	.yt-live-chat-message-renderer-0 #subtext.yt-live-chat-message-renderer, .yt-live-chat-message-renderer-1 #subtext.yt-live-chat-message-renderer,
	#label.yt-live-chat-text-input-field-renderer, .input-content.paper-input-container input,
	.input-content.paper-input-container textarea, .input-content.paper-input-container iron-autogrow-textarea,
	.input-content.paper-input-container .paper-input-input
	{
		color: var(--dimmer-text) !important;
	}
	.add-on-content.is-highlighted.paper-input-container *, paper-input-char-counter
	{
		color: var(--dimmer-text) !important;
	}

	/*Video cards*/
	/*ttile*/
	ytd-grid-video-renderer.use-ellipsis #details.ytd-grid-video-renderer a.ytd-grid-video-renderer,
	ytd-compact-video-renderer.use-ellipsis #video-title.ytd-compact-video-renderer,
	#video-title.ytd-video-renderer,
	h3.ytd-playlist-renderer,
	#video-title.ytd-child-video-renderer, #length.ytd-child-video-renderer,
	#video-title, #length, #details
	{
		color: var(--main-text) !important;
	}
	#items.yt-horizontal-list-renderer > .yt-horizontal-list-renderer:hover a.ytd-grid-video-renderer,
	ytd-compact-video-renderer:hover #video-title.ytd-compact-video-renderer,
	ytd-video-renderer:hover #video-title.ytd-video-renderer,
	ytd-playlist-renderer:hover h3.ytd-playlist-renderer,
	#content.ytd-playlist-video-renderer:hover #video-title,
	a.yt-simple-endpoint.ytd-playlist-panel-video-renderer:hover #video-title,
	.style-scope.ytd-grid-renderer.use-ellipsis:hover #video-title,
	#video-title:hover
	{
		color: var(--main-color) !important;
	}
	/*author*/
	yt-formatted-string[ellipsis-truncate] a.yt-formatted-string:last-child, #byline.ytd-video-meta-block
	{
		color: var(--main-color) !important;
	}
	#channel-title.ytd-channel-renderer span.ytd-channel-renderer
	{
		color: var(--main-color) !important;
	}
	/*metadata*/
	#metadata-line.ytd-grid-video-renderer, #metadata-line.ytd-video-meta-block span.ytd-video-meta-block,
	#metadata.ytd-channel-renderer, #description.ytd-channel-renderer,
	#thumbnail-attribution.ytd-grid-channel-renderer
	{
		color: var(--dimmer-text) !important;
	}
	/*action buttons*/
	a.yt-simple-endpoint.ytd-toggle-button-renderer, ytd-button-renderer yt-formatted-string.ytd-button-renderer
	{
		color: var(--dimmer-text) !important;
	}
	ytd-toggle-button-renderer.style-text[is-icon-button]:hover *, /*like/dislike*/
	ytd-button-renderer[is-icon-button]:hover *, /*share*/
	button.yt-icon-button:hover * /*bell*/
	{
		color: var(--main-color) !important;
	}
	/*description and other metadata*/
	.date.ytd-video-secondary-info-renderer, .content.ytd-video-secondary-info-renderer, #title.ytd-metadata-row-renderer
	{
		color: var(--dimmer-text) !important;
	}
	.content.content-line-height-override.style-scope.ytd-metadata-row-renderer, .content.ytd-metadata-row-header-renderer
	{
		color: var(--main-text) !important;
	}
	/*show more*/
	.more-button, .less-button,
	#show-more-button.ytd-ticket-shelf-renderer > div.ytd-ticket-shelf-renderer,
	#show-less-button.ytd-ticket-shelf-renderer > div.ytd-ticket-shelf-renderer
	{
		color: var(--main-text) !important;
	}
	.more-button:hover, .less-button:hover,
	#show-more-button.ytd-ticket-shelf-renderer > div.ytd-ticket-shelf-renderer:hover,
	#show-less-button.ytd-ticket-shelf-renderer > div.ytd-ticket-shelf-renderer:hover
	{
		color: var(--main-color) !important;
	}
	/*section borders*/
	ytd-video-secondary-info-renderer, ytd-metadata-row-header-renderer[has-divider-line]
	{
		border-color: var(--hover-background) !important;
	}

	/*Sidebar movie card*/
	#header.ytd-movie-offer-module-renderer
	{
		background-color: var(--second-background) !important;
	}
	#contents.ytd-movie-offer-module-renderer
	{
		background-color: var(--hover-background) !important;
	}

	/*Recommandation page*/
	/*author*/
	#title.ytd-shelf-renderer
	{
		color: var(--main-color) !important;
	}
	#title-annotation.ytd-shelf-renderer
	{
		color: var(--dimmer-text) !important;
	}
	a.yt-simple-endpoint.yt-formatted-string:only-of-type:hover
	{
		color: var(--main-color) !important;
	}
	a.yt-simple-endpoint.yt-formatted-string:only-of-type
	{
		color: var(--main-text) !important;
	}
	/*Borders*/
	#contents.ytd-section-list-renderer > .ytd-section-list-renderer:not(:last-child):not(ytd-page-introduction-renderer)
	{
		border-color: var(--hover-background) !important;
	}
	/*Next and prev buttons*/
	.arrow.yt-horizontal-list-renderer,
	#scroll-button-forward
	{
		background-color: var(--hover-background) !important;
	}

	/*For the outline around the channel name*/
	.style-scope.ytd-comment-renderer.creator
	{
		background-color: var(--main-color) !important;
	}
	.style-scope.ytd-comment-renderer.creator:hover
	{
		background-color: var(--hover-background) !important;
	}
	#name:hover
	{
		color: var(--main-color) !important;
	}

	/*Accounts*/
	yt-formatted-string.ytd-account-item-section-header-renderer a
	{
		color: var(--dimmer-text) !important;
	}
	.style-scope.ytd-account-item-section-renderer:hover #channel-title.ytd-account-item-renderer
	{
		color: var(--main-color) !important;
	}

	app-drawer.ytd-app:not([persistent]) #header.ytd-app
	{
		border-color: var(--main-color) !important;
	}

	/*Progress bar*/
	#progress
	{
		background-color: var(--main-color) !important;
		border-color: var(--main-color) !important;
	}
	yt-page-navigation-progress
	{
		background-color: transparent !important;
	}

	/*Button tooltips*/
	#tooltip.paper-tooltip
	{
		background-color: var(--hover-background) !important;
		color: var(--main-color) !important;
	}

	/*Active grid icon*/
	button.ytd-button-renderer[is="paper-icon-button-light"][disabled]
	{
		color: rgb(255,255,255) !important;
	}

	/*Subscribe button and comment button*/
	#subscribe-button:hover ytd-button-renderer yt-formatted-string.ytd-button-renderer, #subscribe-button ytd-button-renderer yt-formatted-string.ytd-button-renderer,
	#subscribe-button:hover .deemphasize.yt-formatted-string, #subscribe-button .deemphasize.yt-formatted-string,
	ytd-button-renderer #button.ytd-button-renderer:hover yt-formatted-string.ytd-button-renderer,
	ytd-button-renderer #button.ytd-button-renderer yt-formatted-string.ytd-button-renderer,
	ytd-subscribe-button-renderer[button-style="COMPACT_GRAY"] paper-button.ytd-subscribe-button-renderer
	{
		color: var(--main-text) !important;
	}
	ytd-button-renderer.style-destructive[is-paper-button],
	paper-button.ytd-subscribe-button-renderer,.ytp-sb-subscribe,
	a.ytp-sb-subscribe, ytd-subscribe-button-renderer:not([button-style]) paper-button:not([subscribed]),
	#button[class="style-scope ytd-button-renderer style-compact-gray"],
	ytd-button-renderer.style-suggestive[is-paper-button],
	ytd-button-renderer.style-compact-gray[is-paper-button] paper-button.ytd-button-renderer
	{
		background-color: var(--main-color) !important;
		border-color: var(--main-color) !important;
	}
	ytd-button-renderer.style-destructive[is-paper-button]:hover,
	paper-button.ytd-subscribe-button-renderer:hover,
	paper-button.ytd-subscribe-button-renderer[subscribed]:hover,
	.ytp-sb-subscribe, a.ytp-sb-subscribe:hover,.ytp-sb-unsubscribe:hover,
	ytd-subscribe-button-renderer:not([button-style]) paper-button:not([subscribed]):hover,
	#button[class="style-scope ytd-button-renderer style-compact-gray"]:hover,
	ytd-button-renderer.style-suggestive[is-paper-button]:hover,
	ytd-button-renderer.style-compact-gray[is-paper-button] paper-button.ytd-button-renderer:hover
	{
		filter: brightness(110%) !important;
	}
	paper-button.ytd-subscribe-button-renderer[subscribed],.ytp-sb-unsubscribe
	{
		background-color: var(--second-background) !important;
		color: var(--main-text) !important;
		opacity: 0.9 !important;
		box-shadow: 0 2px 2px 0 rgba(0, 0, 0, 0.14), 0 1px 5px 0 rgba(0, 0, 0, 0.12), 0 3px 1px -2px rgba(0, 0, 0, 0.2)  !important;
	}
	ytd-button-renderer.style-primary[is-paper-button]
	{
		background-color: transparent !important;
	}

	/*Sponsor button*/
	ytd-modal-with-title-and-button-renderer
	{
		background: var(--second-background) !important;
	}
	#content.ytd-modal-with-title-and-button-renderer
	{
		color: var(--dimmer-text) !important;
	}
	.buttons.ytd-modal-with-title-and-button-renderer
	{
		border-color: var(--hover-background) !important;
	}
	/*sponsor popup*/
	#sponsor-button.ytd-membership-offer-renderer ytd-button-renderer.ytd-membership-offer-renderer
	{
		background-color: var(--main-color) !important;
	}
	#sponsor-button.ytd-membership-offer-renderer ytd-button-renderer.ytd-membership-offer-renderer:hover
	{
		filter: brightness(110%) !important;
	}
	#header.ytd-membership-offer-renderer
	{
		background: var(--main-background) !important;
	}
	ytd-perks-section-renderer, ytd-membership-offer-renderer[dialog][dialog][dialog],
	paper-dialog-scrollable.can-scroll:not(.scrolled-to-bottom):not(:last-child)::after,
	paper-dialog-scrollable.is-scrolled:not(:first-child)::before
	{
		background: var(--second-background) !important;
	}
	.extra-content.ytd-offer-perk-extra
	{
		border-color: var(--hover-background) !important;
		background: var(--hover-background) !important;
		color: var(--dimmer-text) !important;
	}
	.footer.ytd-membership-offer-renderer
	{
		background: var(--hover-background) !important;
		border-color: var(--hover-background) !important;
	}
	ytd-membership-offer-renderer *
	{
		border-color: var(--hover-background) !important;
	}
	.price.ytd-membership-offer-renderer
	{
		color: var(--main-color) !important;
	}
	.style-title.ytd-offer-text-item, .style-subtitle.ytd-offer-text-item,
	.payment-clause.ytd-membership-offer-renderer
	{
		color: var(--main-text) !important;
	}
	.perk-item-title.ytd-perk-item-renderer, .perk-item-public-description.ytd-perk-item-renderer
	{
		color: var(--dimmer-text) !important;
	}


	/*Edit button in channel page*/
	#edit-buttons.ytd-c4-tabbed-header-renderer ytd-button-renderer.ytd-c4-tabbed-header-renderer
	{
		background-color: transparent !important;
	}

	/*Toggle button to play next*/
	paper-toggle-button[checked]:not([disabled]) .toggle-bar.paper-toggle-button
	{
		background-color: var(--main-color) !important;
		opacity: 0.9 !important;
	}
	paper-toggle-button[checked]:not([disabled]) .toggle-button.paper-toggle-button
	{
		--paper-toggle-button-checked-button-color: rgb(255,255,255) !important;
	}
	/*Hover for toggle button*/
	.toggle-button.paper-toggle-button:hover,paper-toggle-button[checked]:not([disabled]) .toggle-button.paper-toggle-button:hover
	{
		background-color: var(--main-color) !important;
	}
	yt-bubble-hint-renderer
	{
		background: var(--hover-background) !important;
	}
	yt-bubble-hint-renderer::after
	{
		border-top-color: var(--second-background) !important;
	}
	#text.yt-bubble-hint-renderer
	{
		background: var(--hover-background) !important;
		color: var(--main-text) !important;
	}
	#details-text.yt-bubble-hint-renderer
	{
		background: var(--hover-background) !important;
		color: var(--dimmer-text) !important;
	}
	.buttons.yt-bubble-hint-renderer
	{
		border-color: var(--hover-background) !important;
	}

	/*Filter active*/
	paper-button.ytd-toggle-button-renderer
	{
		color: rgba(255, 255, 255, 0.5) !important;
	}

	/*Badges*/
	.badge-style-type-simple.ytd-badge-supported-renderer,.badge-style-type-disabled.ytd-badge-supported-renderer, yt-icon.ytd-badge-supported-renderer
	{
		background: transparent !important;
		color: var(--main-color) !important;
		padding-left: 0px !important;
		opacity: .7 !important;
	}
	/*Trending badge*/
	.badge-style-type-featured.ytd-badge-supported-renderer
	{
		background: var(--main-color) !important;
	}
	/*Author verified badge in comments*/
	ytd-author-comment-badge-renderer:not(.creator) #icon.ytd-author-comment-badge-renderer
	{
		fill: var(--main-color) !important;
	}
	/*Live now badge*/
	.badge-style-type-live-now.ytd-badge-supported-renderer
	{
		color: var(--main-color) !important;
		background: transparent !important;
		border-color: var(--main-color) !important;
	}
	/*Premium*/
	.badge-style-type-red.ytd-badge-supported-renderer
	{
		color: #DA4453 !important;
		background: transparent !important;
		border-color: var(--main-color) !important;
	}
	/*Series name*/
	.badge-style-type-collection.ytd-badge-supported-renderer
	{
		color: var(--main-color) !important;
	}

	.yt-simple-endpoint.style-scope.yt-formatted-string
	{
		color: var(--dimmer-text);
	}

	/*Dropdown*/
	.dropdown-content.style-scope.ytd-popup-container > *
	{
		background: var(--second-background) !important;
	}
	ytd-menu-service-item-renderer:hover, a.ytd-menu-navigation-item-renderer:hover
	{
		background: var(--hover-background) !important;
	}
	yt-formatted-string.ytd-menu-service-item-renderer, yt-formatted-string.ytd-menu-navigation-item-renderer
	{
		color: var(--main-text) !important;
	}
	ytd-menu-service-item-renderer:hover yt-formatted-string.ytd-menu-service-item-renderer,
	a.ytd-menu-navigation-item-renderer:hover yt-formatted-string.ytd-menu-navigation-item-renderer
	{
		color: var(--main-color) !important;
	}
	#owner-name.ytd-video-owner-renderer a
	{
		color: var(--main-color) !important;
		opacity: .9;
	}
	/*share*/
	#header.ytd-add-to-playlist-renderer
	{
		color: var(--main-text) !important;
	}
	#label.ytd-playlist-add-to-option-renderer, paper-item.ytd-compact-link-renderer
	{
		color: var(--dimmer-text) !important;
	}
	#header.ytd-add-to-playlist-renderer, #playlists.ytd-add-to-playlist-renderer
	{
		border-color: var(--hover-background) !important;
	}
	#playlists.ytd-add-to-playlist-renderer:hover *, paper-item.ytd-compact-link-renderer:hover #label.ytd-compact-link-renderer,
	paper-item.ytd-compact-link-renderer:hover yt-icon.ytd-compact-link-renderer
	{
		color: var(--main-color) !important;
		fill: var(--main-color) !important;
	}
	yt-icon.ytd-playlist-add-to-option-renderer
	{
		color: var(--main-color) !important;
	}

	/*Checkbox*/
	ytd-playlist-add-to-option-renderer:hover #checkbox.paper-checkbox,#checkboxContainer.paper-checkbox:hover #checkbox.paper-checkbox
	{
		border-color: var(--main-color) !important;
	}
	#checkbox.paper-checkbox
	{
		border-color: var(--main-text) !important;
	}
	/*Chekboxes background*/
	#checkbox.checked.paper-checkbox
	{
		background-color: transparent !important;
	}

	/*Radio buttons*/
	paper-radio-button[checked] #offRadio.paper-radio-button
	{
		--paper-radio-button-checked-color: var(--main-color) !important;
	}
	#onRadio.paper-radio-button
	{
		--paper-radio-button-checked-color: var(--main-color) !important;
	}
	#offRadio.paper-radio-button:hover
	{
		border-color:  var(--main-color) !important;
	}

	/*Avatars and thumbnails opacity */
	img.yt-img-shadow
	{
		opacity: 0.9 !important;
	}
	img.yt-img-shadow:hover
	{
		opacity: 1 !important;
	}
	/*Very specific hover for thumbnails*/
	#dismissable.ytd-compact-video-renderer:hover img.yt-img-shadow, #items.yt-horizontal-list-renderer > .yt-horizontal-list-renderer:hover img.yt-img-shadow, #items.ytd-grid-renderer > ytd-grid-video-renderer.ytd-grid-renderer:hover img.yt-img-shadow, ytd-video-renderer.ytd-item-section-renderer:hover img.yt-img-shadow, .style-scope.ytd-channel-featured-content-renderer:hover img.yt-img-shadow, #grid-container.ytd-expanded-shelf-contents-renderer > .ytd-expanded-shelf-contents-renderer:hover img.yt-img-shadow, ytd-playlist-video-renderer:hover img.yt-img-shadow, iron-list:not([grid]) #items.iron-list > *:hover img.yt-img-shadow
	{
		opacity: 1 !important;
	}

	/*Video section*/
	/*Video title hover in html5 video*/
  	.html5-video-player a:hover
  	{
 		color: var(--main-text) !important;
		text-shadow: none !important;
  	}

	/* Code takken from https://userstyles.org/styles/95280 */
	/* scrubber button */
	.html5-scrubber-button:hover, .ytp-chrome-controls .ytp-button[aria-pressed]::after, .ytp-scrubber-button:hover, .ytp-swatch-background-color, .ytp-swatch-background-color-secondary
	{
		background: var(--main-color) !important;
	}
	/* progress bar */
	.html5-play-progress, .ytp-play-progress
	{
		background: var(--main-color) !important;
	}
	.ytp-volume-slider-track, .ytp-volume-slider-handle:before
	{
		background: var(--main-color) !important;
		z-index: -117;
	}
	.ytp-settings-button.ytp-hd-quality-badge::after, .ytp-settings-button.ytp-4k-quality-badge::after, .ytp-settings-button.ytp-5k-quality-badge::after, .ytp-settings-button.ytp-8k-quality-badge::after, .ytp-settings-button.ytp-3d-badge::after
	{
		background-color: var(--main-color) !important;
	}
	.ytp-swatch-color
	{
		color: var(--main-color) !important;
	}
	.ytp-menuitem[aria-checked="true"] .ytp-menuitem-toggle-checkbox
	{
		background: var(--main-color) !important;
	}
	.ytp-chrome-controls .ytp-button.ytp-youtube-button:hover:not([aria-disabled="true"]):not([disabled]) .ytp-svg-fill-logo-tube-lozenge
	{
		fill: var(--main-color) !important;
	}
	.ytp-cued-thumbnail-overlay:hover .ytp-large-play-button-bg, .ytp-large-play-button.ytp-touch-device .ytp-large-play-button-bg
	{
		fill: var(--main-color) !important;
	}
	.ytp-large-play-button.ytp-button.ytp-red2:hover, .ytp-cued-thumbnail-overlay:hover .ytp-large-play-button.ytp-button.ytp-red2
	{
		/*background-image: url(https://gitlab.com/RaitaroH/YouTube-DeepDark/raw/master/YT_Images/large_play_button_hover_ringo-vfl7vEehF.png) !important;*/
		background-image: url(https://s.ytimg.com/yts/img/large_play_button_ringo-vfljWXIdx.png) !important;
		filter: invert(100%) brightness(300%);
	}
	.resume-playback-progress-bar
	{
		background: var(--main-color) !important;
	}
  	.ytp-chrome-controls .ytp-button[aria-pressed]::after
	{
		background-color: var(--main-color) !important;
	}

	/*Added because of this: https://forum.userstyles.org/discussion/53368/solved-fix-this-annoying-youtube-tab-select-bug-thats-been-there-forever#latest*/
	.ytp-keyboard-focus .ytp-progress-bar:focus
	{
		box-shadow: none !important;
	}

	/*Video menu - might have issues with lighter colors*/
	.ytp-popup
	{
		background: var(--second-background) !important;
		opacity: .9 !important;
	}
	.ytp-menuitem:hover:not([aria-disabled="true"])
	{
		background-color: var(--hover-background) !important;
	}
	/*Text*/
	.iv-branding .iv-branding-context-name, .ytp-menuitem-label, .ytp-menuitem-label-count, .ytp-menuitem-content, .ytp-menu-label-secondary, .ytp-panel-header
	{
		color: var(--main-text) !important;
		text-shadow: none !important;
	}

	/*Keyboard focus*/
	.ytp-probably-keyboard-focus .ytp-menuitem:focus .ytp-menuitem-content, .ytp-probably-keyboard-focus .ytp-menuitem:focus .ytp-menuitem-label
	{
		box-shadow: inset -2px -2px 0 var(--main-color),inset 0 2px 0 var(--main-color) !important;
	}
	.ytp-probably-keyboard-focus .ytp-button:focus
	{
		box-shadow: inset 0 0 0 2px var(--main-color) !important;
	}
	.ytp-probably-keyboard-focus .ytp-progress-bar:focus
	{
		box-shadow: 0 0 0 2px var(--main-color) !important;
	}

	/*Miniplayer*/
	#info-bar.ytd-miniplayer .metadata.ytd-miniplayer
	{
		background-color: var(--main-background) !important;
	}
	#info-bar.ytd-miniplayer .channel.ytd-miniplayer
	{
		color: var(--main-color) !important;
	}
	.ytd-miniplayer .ytp-button:not([aria-disabled="true"]):not([disabled]):not([aria-hidden="true"]):hover svg path
	{
		fill: var(--main-color) !important;
	}

	/*Watch later svg*/
	.style-scope.ytd-thumbnail-overlay-toggle-button-renderer:hover
	{
    		fill: var(--main-color) !important;
	}
	ytd-thumbnail-overlay-toggle-button-renderer:focus yt-icon.ytd-thumbnail-overlay-toggle-button-renderer
	{
		outline-color: var(--main-color) !important;
	}

	/*Popup for when you hover over the channel avatar in the video*/
	.iv-branding .branding-context-container-inner
	{
		background-color: var(--main-background) !important;
	}

  	/*Changing icon for unavailable video*/
  	#img.ytd-player-error-message-renderer
	{
		display: block !important;
		-moz-box-sizing: border-box !important;
		box-sizing: border-box !important;
		background: url(https://gitlab.com/RaitaroH/YouTube-DeepDark/raw/master/YT_Images/404.png) no-repeat !important;
		width: 140px !important;
		height: 100px !important;
		padding-left: 140px !important;
		position: relative !important;
	}
	/*Changing icon for unavailable page (404)*/
	#error-page-hh-illustration
	{
		display: block !important;
		-moz-box-sizing: border-box !important;
		box-sizing: border-box !important;
		background: url(https://gitlab.com/RaitaroH/YouTube-DeepDark/raw/master/YT_Images/404.png) no-repeat !important;
		width: 140px !important;
		height: 100px !important;
		padding-left: 140px !important;
		right: -175px !important;
		position: relative !important;
	}
	/*Some spacing for the logo*/
	#yt-masthead #logo-container
	{
		margin-right: 20px !important;
	}

	/*New logo*/
	#logo-icon-container.ytd-topbar-logo-renderer svg g path[fill*="#FF0000"]
	{
		fill: var(--main-color) !important;
	}
	/*Logo hover*/
	#logo-icon:hover
	{
		--yt-swatch-logo-override: var(--main-color) !important;
	}
	/*Rewind logo*/
	#animated-yoodle
	{
		filter: invert(90%) grayscale(1);
	}

	/*Playlist page*/
	/*sidebar*/
	ytd-playlist-sidebar-renderer
	{
		background-color: var(--hover-background) !important;
	}
	#stats.ytd-playlist-sidebar-primary-info-renderer
	{
		color: var(--dimmer-text) !important;
	}
	#items.ytd-playlist-sidebar-renderer > .ytd-playlist-sidebar-renderer:not(:last-child)
	{
		border-color: var(--hover-background) !important;
	}
	#primary.ytd-two-column-browse-results-renderer
	{
		background-color: var(--main-background) !important;
	}
	ytd-button-renderer[is-paper-button] yt-icon.ytd-button-renderer
	{
		color: var(--dimmer-text) !important;
	}
	a.yt-simple-endpoint.ytd-button-renderer:hover *
	{
		color: var(--main-color) !important;
	}
	#content.ytd-playlist-video-renderer
	{
		border-color: var(--hover-background) !important;
	}
	/*playlist page*/
	.index-message.ytd-playlist-panel-renderer
	{
		color: var(--dimmer-text) !important;
	}

	/*Playlist changes*/
	ytd-playlist-panel-video-renderer:hover
	{
		background-color: var(--hover-background) !important;
	}
	ytd-playlist-panel-video-renderer[selected] #index.ytd-playlist-panel-video-renderer,#byline.ytd-playlist-panel-video-renderer,.ytp-video-menu-item[aria-checked="true"] .ytp-video-menu-item-now-playing,.ytp-video-menu-item-author
	{
		color: var(--main-color) !important;
	}

	.header.ytd-playlist-panel-renderer,.playlist-items.ytd-playlist-panel-renderer
	{
		background-color: var(--second-background) !important;
	}

	.ytp-video-menu-item[aria-checked="true"] .ytp-video-menu-item-thumbnail
	{
		border-color: var(--main-color) !important;
	}

	#index.ytd-playlist-video-renderer, #index.ytd-playlist-panel-video-renderer
	{
		color: var(--dimmer-text) !important;
	}

	/*Search bar*/
	ytd-searchbox[mode="legacy"] #container.ytd-searchbox, ytd-searchbox[mode="material-centered"] #container.ytd-searchbox,
	ytd-searchbox[mode="legacy"] #container.ytd-searchbox, ytd-searchbox[mode="legacy-centered"] #container.ytd-searchbox
	{
		background: var(--main-background) !important;
		border-color: var(--main-background) !important;
		box-shadow: none !important;
	}
	ytd-searchbox[mode="legacy"] #container.ytd-searchbox:hover, ytd-searchbox[mode=legacy][has-focus] #container.ytd-searchbox, ytd-searchbox[mode="material-left"] #container.ytd-searchbox, ytd-searchbox.style-scope[has-focus=""] #container.ytd-searchbox, ytd-searchbox[mode="material-centered"]:hover #container.ytd-searchbox
	{
		border: 1px solid var(--main-color) !important;
		box-shadow: none !important;
	}
	ytd-searchbox[mode="legacy"] #container.ytd-searchbox input.ytd-searchbox,
	#container.ytd-searchbox > input, ytd-searchbox input
	{
		color: var(--main-text) !important;
	}
	/*Search icon*/
	#search-icon-legacy.ytd-searchbox
	{
		background: var(--hover-background) !important;
		border-color: var(--hover-background) !important;
	}
	#search-icon-legacy.ytd-searchbox yt-icon.ytd-searchbox
	{
		color: var(--main-text) !important;
	}
	#search-icon-legacy.ytd-searchbox:hover yt-icon.ytd-searchbox, #search-icon.ytd-searchbox:hover
	{
		color: var(--main-color) !important;
	}
	/*Main backgrounds*/
	.sbsb_a,.sbdd_b
	{
		background: var(--second-background) !important;
		border: none !important;
	}
	/*Text color*/
	.gsfs
	{
		color: var(--dimmer-text) !important;
	}
	/*Hover and keyboard select background*/
	.sbsb_c.gsfs:hover,.sbsb_d
	{
		background-color: var(--hover-background) !important;
	}
	/*Keyboard select text color and hover text color*/
	.sbsb_c:hover .sbqs_c,.sbsb_c.gsfs.sbsb_d .sbqs_c
	{
		color: var(--main-color) !important;
	}
	/*Keyboard icon in the search bar*/
	#gs_ok50
	{
		filter: invert(100%);
	}

	/*Search results correction*/
	.style-scope.yt-search-query-correction
	{
		color: var(--main-text) !important;
	}
	.style-scope.yt-search-query-correction .italic.yt-formatted-string, .style-scope.yt-search-query-correction:hover
	{
		color: var(--main-color) !important;
	}
	/*Similar results*/
	#title.ytd-exploratory-results-renderer
	{
		color: var(--dimmer-text) !important;
	}
	/*search results filter border*/
	#filter-menu.ytd-search-sub-menu-renderer
	{
		border-color: var(--hover-background) !important;
	}

	#watch-card-header.ytd-generic-watch-card, #img-endpoint.ytd-watch-card-collage-renderer #overlay-button.ytd-watch-card-collage-renderer
	{
		background: var(--main-color) !important;
		color: var(--main-text) !important;
	}
	paper-tab.iron-selected.ytd-generic-watch-card
	{
		color: var(--main-color) !important;
	}
	#img-endpoint.ytd-watch-card-collage-renderer #overlay-button.ytd-watch-card-collage-renderer
	{
		opacity: .9;
	}
	#img-endpoint.ytd-watch-card-collage-renderer #overlay-button.ytd-watch-card-collage-renderer:hover
	{
		opacity: 1 !important;
	}

	/*Search for channel videos*/
 	.unfocused-line.paper-input-container,.focused-line.paper-input-container
	{
   	 	background-color: var(--main-color) !important;
	}

	/*Search page*/
	#result-count.ytd-search-sub-menu-renderer
	{
		color: var(--dimmer-text) !important;
	}
	ytd-search-sub-menu-renderer, ytd-exploratory-results-renderer.ytd-item-section-renderer, ytd-shelf-renderer.ytd-item-section-renderer
	{
		border-color: var(--hover-background) !important;
	}
	/*show more*/
	#more.ytd-vertical-list-renderer yt-formatted-string.ytd-vertical-list-renderer, #all.ytd-vertical-list-renderer yt-formatted-string.ytd-vertical-list-renderer
	{
		color: var(--main-text) !important;
	}
	#more.ytd-vertical-list-renderer yt-formatted-string.ytd-vertical-list-renderer:hover,
	#all.ytd-vertical-list-renderer yt-formatted-string.ytd-vertical-list-renderer:hover
	{
		color: var(--main-color) !important;
	}
	ytd-search-filter-renderer yt-formatted-string.ytd-search-filter-renderer
	{
		color: var(--dimmer-text) !important;
	}
	ytd-search-filter-renderer yt-formatted-string.ytd-search-filter-renderer:hover
	{
		color: var(--main-color) !important;
	}

	/*Search music suggestions*/
	ytd-watch-card-rich-header-renderer
	{
		background: var(--hover-background) !important;
	}
	#overlay-button
	{
		background: var(--main-color) !important;
	}
	#overlay-button:hover
	{
		filter: brightness(110%) !important;
	}
	#watch-card-title, #view-all-endpoint:hover
	{
		color: var(--main-color) !important;
	}
	ytd-watch-card-compact-video-renderer[is-condensed], #view-all-endpoint
	{
		border-color: var(--hover-background) !important;
		color: var(--main-text) !important;
	}

	/*filter*/
	a.yt-simple-endpoint.ytd-toggle-button-renderer:hover *
	{
		color: var(--main-color) !important;
		fill: var(--main-color) !important;
	}
	#filter-group-name.ytd-search-filter-group-renderer
	{
		color: var(--main-text) !important;
		border-color: var(--hover-background) !important;
	}

	iron-icon:hover
	{
    	fill: var(--main-color) !important;
	}
	#description-text.ytd-video-renderer
	{
		color: var(--dimmer-text) !important;
	}

	/*Iridium support, former YouTube+*/
	#iridium_settings .iri-settings-button.danger,.active_sidebar
	{
		background-color: var(--main-color) !important;
		border-color: var(--main-color) !important;
	}
	.feature-link
	{
		color: var(--main-color) !important;
	}
	.iri-dark-mode-settings .sidebar_section:hover:not(.active_sidebar)
	{
		background-color: var(--hover-background) !important;
	}
	.sidebar_section
	{
		color: var(--dimmer-text) !important;
	}
	.iri-dark-mode-settings #iridium_settings {
		background-color: var(--second-background) !important;
	}
	.iri-dark-mode-settings #iridium_settings_sidebar, .iri-dark-mode-settings #settings_section, .iri-dark-mode-settings #iridium-text-editor
	{
		background-color: var(--main-background) !important;
	}
	.iri-video-count
	{
		color: var(--dimmer-text) !important;
		opacity: .8;
	}
	.iri-video-count:hover
	{
		color: var(--main-color) !important;
		opacity: 1 !important;
	}
	.iri-add-to-blacklist:hover svg
	{
		fill: var(--main-color) !important;
	}
	#iri-quick-controls button svg
	{
		fill: var(--dimmer-text) !important;
	}
	#iri-quick-controls button[enabled] svg
	{
		fill: var(--main-color) !important;
		opacity: .9;
	}
	#iri-quick-controls button:hover svg, #iri-quick-controls button[enabled]:hover svg
	{
		fill: var(--main-color) !important;
		opacity: 1 !important;
	}
	.iri-quick-controls-tooltip, .iri-tooltip
	{
		background-color: var(--hover-background) !important;
		color: var(--main-color) !important;
	}
	#iri-show-comments:hover
	{
		color: var(--main-color) !important;
	}

	/*Comments*/
	yt-formatted-string.ytd-comments-header-renderer
	{
		color: var(--dimmer-text) !important;
	}
	/*sort by*/
	#icon-label.yt-dropdown-menu, #label-icon.yt-dropdown-menu
	{
		color: var(--main-text) !important;
		fill: var(--main-text) !important;
	}
	yt-sort-filter-sub-menu-renderer.ytd-comments-header-renderer:hover #icon-label.yt-dropdown-menu,
	yt-sort-filter-sub-menu-renderer.ytd-comments-header-renderer:hover #label-icon.yt-dropdown-menu
	{
		color: var(--main-color) !important;
		fill: var(--main-color) !important;
	}
	/*sort by dropdown*/
	paper-listbox.yt-dropdown-menu
	{
		background: var(--second-background) !important;
	}
	.item.yt-dropdown-menu
	{
		color: var(--main-text) !important;
	}
	paper-listbox.yt-dropdown-menu paper-item.yt-dropdown-menu:hover,
	paper-listbox.yt-dropdown-menu paper-item.yt-dropdown-menu:hover .item.yt-dropdown-menu
	{
		background: var(--hover-background) !important;
		color: var(--main-color) !important;
	}
    /*text box*/
    #simplebox-placeholder.ytd-comment-simplebox-renderer
    {
		color: var(--dimmer-text) !important;
	}
    #placeholder-area.ytd-comment-simplebox-renderer
	{
		border-color: var(--hover-background) !important;
	}
	/*comments themselves*/
	#author-text.yt-simple-endpoint.ytd-comment-renderer
	{
		color: var(--main-text) !important;
	}
	#author-text.yt-simple-endpoint.ytd-comment-renderer:hover
	{
		color: var(--main-color) !important;
	}
	#content-text.ytd-comment-renderer
	{
		color: var(--dimmer-text) !important;
	}
	/*read more*/
	.more-button.ytd-comment-renderer, .less-button.ytd-comment-renderer
	{
		color: var(--main-text) !important;
	}
	/*view replies*/
	paper-button.ytd-comment-replies-renderer, yt-next-continuation.ytd-comment-replies-renderer, yt-icon.ytd-comment-replies-renderer
	{
		color: var(--main-text) !important;
	}
	.more-button.style-scope.ytd-comment-replies-renderer:hover paper-button.ytd-comment-replies-renderer,
	.more-button.style-scope.ytd-comment-replies-renderer:hover yt-next-continuation.ytd-comment-replies-renderer,
	.more-button.style-scope.ytd-comment-replies-renderer:hover yt-icon.ytd-comment-replies-renderer
	{
		color: var(--main-color) !important;
	}
	/*likes*/
	#vote-count-middle.ytd-comment-action-buttons-renderer
	{
		color: var(--dimmer-text) !important;
	}
	ytd-button-renderer yt-formatted-string.ytd-button-renderer:hover
	{
		color: var(--main-color) !important;
	}
	/*Show more videos*/
	yt-next-continuation.ytd-watch-next-secondary-results-renderer
	{
		--paper-button_-_background-color: transparent !important;
		--paper-button_-_color: var(--dimmer-text) !important;
	}
	.style-scope.yt-next-continuation:hover
	{
		background-color: transparent !important;
		color: var(--main-color) !important;
	}
	yt-formatted-string.ytd-expanded-shelf-contents-renderer
	{
		color: var(--dimmer-text) !important;
	}
	yt-formatted-string.ytd-expanded-shelf-contents-renderer:hover
	{
		color: var(--main-color) !important;
	}
	/*Links in description and published date for comments*/
	#content.ytd-expander a
	{
		color: var(--main-color) !important;
		opacity: 0.9;
	}
	#published-time-text.ytd-comment-renderer, #published-time-text.ytd-comment-renderer a
	{
		--yt-endpoint-color: var(--dimmer-text) !important;
		color: var(--dimmer-text) !important;
		opacity: .8;
	}
	#content.ytd-expander a:hover, #published-time-text.ytd-comment-renderer a:hover, #content.ytd-expander #name.ytd-author-comment-badge-renderer:hover
	{
		color: var(--main-color) !important;
		opacity: 1 !important;
	}
	#content.ytd-expander #name.ytd-author-comment-badge-renderer
	{
		color: var(--main-text) !important;
	}

	/*Heart icon in comments*/
	#hearted-border.ytd-creator-heart-renderer,#hearted.ytd-creator-heart-renderer
	{
		color: var(--main-color) !important;
	}

	/*Pinned by*/
	#label.ytd-pinned-comment-badge-renderer
	{
		color: var(--main-color) !important;
		opacity: 0.5;
	}
	yt-icon.ytd-pinned-comment-badge-renderer
	{
		fill: var(--main-color) !important;
		opacity: 0.5;
	}


	/*Chat*/
	/*header*/
	yt-live-chat-header-renderer, #header.yt-live-chat-participant-list-renderer, yt-live-chat-message-renderer
	{
		background: var(--hover-background) !important;
	}
	/*live replay*/
	#card.yt-live-chat-viewer-engagement-message-renderer, yt-live-chat-text-message-renderer[is-highlighted]
	{
		background: var(--hover-background) !important;
	}
	#chat, #participants, yt-live-chat-renderer
	{
		background: var(--second-background) !important;
	}
	/*dropmenu*/
	#menu.yt-live-chat-text-message-renderer
	{
		background: transparent !important;
	}
	paper-listbox
	{
		background: var(--second-background) !important;
	}
	yt-icon.ytd-menu-navigation-item-renderer, yt-icon.ytd-menu-service-item-renderer, #header.yt-live-chat-participant-list-renderer,
	#author-name.yt-live-chat-author-chip, .style-scope.yt-live-chat-ninja-message-renderer
	{
		color: var(--main-text) !important;
	}
	#deleted-state, #show-original, yt-live-chat-text-message-renderer[is-deleted] #message.yt-live-chat-text-message-renderer,
	#timestamp
	{
		color: var(--dimmer-text) !important;
	}
	/*paid messages*/
	#content.yt-live-chat-paid-message-renderer #message
	{
        color: black !important;
    }
	#message.yt-live-chat-text-message-renderer a.yt-live-chat-text-message-renderer
	{
		color: var(--main-color) !important;
		text-decoration: none !important;
	}
	yt-live-chat-author-chip[is-highlighted] #author-name
	{
		background: var(--main-color) !important;
	}
	/*Confirmantion popup*/
	paper-toast
	{
		background-color: var(--hover-background) !important;
		color: var(--main-text) !important;
	}
	/*button*/
	yt-icon-button.yt-live-chat-item-list-renderer, yt-live-chat-ninja-message-renderer.yt-live-chat-renderer paper-button.yt-button-renderer,
	yt-live-chat-message-renderer.yt-live-chat-message-input-renderer yt-button-renderer.style-dark[is-paper-button]
	{
		background: var(--main-background) !important;
		color: var(--main-text) !important;
	}
	/*input*/
	yt-live-chat-message-input-renderer
	{
		background-color: var(--hover-background) !important;
		color: var(--main-text) !important;
	}
	#focused.yt-live-chat-text-input-field-renderer
	{
		background: var(--main-color) !important;
	}
	#count
	{
		color: var(--dimmer-text) !important;
	}
	/*hide chat*/
	#show-hide-button.ytd-live-chat-frame > ytd-toggle-button-renderer.ytd-live-chat-frame
	{
		background: var(--hover-background) !important;
	}
	/*emoji*/
	yt-formatted-string.yt-emoji-picker-category-renderer
	{
		background: var(--hover-background) !important;
	}
	#search-panel.yt-emoji-picker-renderer
	{
		background: var(--main-background) !important;
		color: var(--main-text) !important;
	}
	#search-empty
	{
		color: var(--dimmer-text) !important;
	}

	/*Notification*/
	#notification-count.ytd-notification-topbar-button-renderer,
	ytd-notification-renderer.unseen #new.ytd-notification-renderer
	{
		background: var(--main-color) !important;
	}
	.text.ytd-notification-renderer
	{
		color: var(--main-text) !important;
	}
	.metadata.ytd-notification-renderer
	{
		color: var(--dimmer-text) !important;
	}
	ytd-watch:not([flexy-fit-to-video_]) #chat.ytd-watch, ytd-watch:not([flexy-fit-to-video_]) #transcript.ytd-watch
	{
		padding-left: 0 !important;
	}
	ytd-simple-menu-header-renderer
	{
		background-color: var(--hover-background) !important;
	}
	h2.ytd-simple-menu-header-renderer
	{
		color: var(--main-text) !important;
	}
	#sections.ytd-multi-page-menu-renderer > ytd-background-promo-renderer.ytd-multi-page-menu-renderer,
	ytd-multi-page-menu-renderer
	{
		background: var(--second-background) !important;
	}
	.promo-message.ytd-background-promo-renderer, #message
	{
		color: var(--dimmer-text) !important;
	}

	/*Cards*/
	.iv-card-content,.ytp-ce-expanding-overlay-background,.ytp-cards-teaser .ytp-cards-teaser-text, .ytp-cards-teaser .ytp-cards-teaser-box
	{
		background-color: var(--main-background) !important;
	}
	.ytp-cards-teaser .ytp-cards-teaser-box,.iv-card-image
	{
		border: 0px !important;
	}
	.iv-card-content > :first-child,.html5-video-player a,.iv-card h2,.ytp-cards-teaser .ytp-cards-teaser-text
	{
		color: var(--main-text) !important;
	}
	.iv-card:hover .iv-card-primary-link,.ytp-ce-website-title
	{
		color: var(--main-color) !important;
	}
	.ytp-ce-element:hover
	{
		border-color: var(--main-color) !important;
	}
	.ytp-ce-channel-title.ytp-ce-link
	{
		color: var(--main-color) !important;
		opacity: 0.9 !important;
	}
	.ytp-ce-channel-title.ytp-ce-link:hover,.ytp-cards-teaser .ytp-cards-teaser-text:hover
	{
		color: var(--main-color) !important;
		opacity: 1 !important;
	}
	.ytp-ce-channel-metadata.yt-ui-ellipsis.yt-ui-ellipsis-3
	{
		background: transparent;
		color: var(--dimmer-text) !important;
	}
	/*Cards border color*/
	.iv-card-message
	{
		border-bottom: 1px solid var(--main-color) !important;
	}
	.ytp-ce-channel-this .ytp-ce-channel-metadata
	{
		border-color: var(--hover-background) !important;
	}

	/*Poll*/
	.iv-card-poll label, .iv-card-poll.iv-card-poll-voted label.iv-card-poll-choice-checked, .iv-card-poll.iv-card-poll-voted label
	{
		color: var(--main-text) !important;
	}
	.iv-card-poll .iv-card-poll-result .iv-card-poll-result-bar
	{
		background-color: var(--main-color) !important;
	}

	/*Account menu header*/
	ytd-active-account-header-renderer
	{
		background: var(--second-background) !important;
	}
	ytd-active-account-header-renderer:hover
	{
		background-color: var(--hover-background) !important;
	}
	#account-name.ytd-active-account-header-renderer, #channel-title.ytd-account-item-renderer
	{
		color: var(--main-text) !important;
	}
	#email.ytd-active-account-header-renderer
	{
		color: var(--dimmer-text) !important;
	}
	/*subentries*/
	#label.ytd-toggle-theme-compact-link-renderer
	{
		color: var(--dimmer-text) !important;
	}
	ytd-toggle-theme-compact-link-renderer:hover #label.ytd-toggle-theme-compact-link-renderer,
	ytd-toggle-theme-compact-link-renderer:hover yt-icon,
	paper-item.ytd-compact-link-renderer:hover #subtitle,
	paper-item.ytd-compact-link-renderer:hover .deemphasize.yt-formatted-string
	{
		color: var(--main-color) !important;
	}
	#footer.ytd-multi-page-menu-renderer > .ytd-multi-page-menu-renderer
	{
		border-color: var(--hover-background) !important;
	}
	.description.ytd-toggle-item-renderer, #caption.ytd-toggle-item-renderer
	{
		color: var(--dimmer-text) !important;
	}
	/*language*/
	#language.ytd-account-settings, #country.ytd-account-settings, #restricted.ytd-account-settings, .container.ytd-account-settings
	{
		background-color: var(--second-background) !important;
	}
	paper-item.ytd-account-settings
	{
		color: var(--dimmer-text) !important;
	}
	paper-item.ytd-account-settings:hover
	{
		color: var(--main-color) !important;
	}

	/*Watched videos dark background*/
	ytd-thumbnail-overlay-playback-status-renderer
	{
		background-color: hsla(0, 0%, 6.7%, .4) !important;
		top: 0;
		right: 0;
		bottom: 0;
		left: 0;
		justify-content: left;
	}
	ytd-thumbnail-overlay-playback-status-renderer:hover
	{
		background-color: hsla(0, 0%, 6.7%, .2) !important;
	}

	/*Live background color*/
	ytd-thumbnail-overlay-time-status-renderer[overlay-style="LIVE"]
	{
    	background-color: var(--main-color) !important;
	}


	/*Recolored sidepane icons, menu icons and filter button*/
	.guide-icon.ytd-guide-entry-renderer, paper-button.ytd-toggle-button-renderer, yt-icon.ytd-compact-link-renderer, yt-icon.ytd-toggle-theme-compact-link-renderer
	{
		color: var(--dimmer-text) !important;
	}

	/*Sidepane titles*/
	#guide-section-title a
	{
		color: var(--dimmer-text) !important;
	}
	#guide-section-title a:hover
	{
		color: var(--main-color) !important;
	}


	/*Autoplay text*/
	#upnext.ytd-compact-autoplay-renderer
	{
		color: var(--dimmer-text) !important;
		opacity: .8;
	}
	ytd-compact-autoplay-renderer
	{
		border-color: var(--hover-background) !important;
	}

	/*Links in video description*/
	.description.ytd-video-secondary-info-renderer a
	{
		color: var(--main-color) !important;
		opacity: .9;
	}

	/*Game cards*/
	ytd-rich-metadata-renderer
	{
		background-color: var(--second-background) !important;
	}
	#call-to-action.ytd-rich-metadata-renderer
	{
		color: var(--main-text) !important;
	}
	#title.ytd-rich-metadata-renderer, #call-to-action.ytd-rich-metadata-renderer:hover
	{
		color: var(--main-color) !important;
	}

	/*Tour/ticket cards*/
	ytd-ticket-shelf-renderer
	{
		background-color: var(--second-background) !important;
	}
	#primary-event.ytd-ticket-shelf-renderer #meta.ytd-ticket-shelf-renderer #tickets-button.ytd-ticket-shelf-renderer
	{
		background: var(--main-color) !important;
		color: var(--main-text) !important;
	}
	#primary-event.ytd-ticket-shelf-renderer #meta-info.ytd-ticket-shelf-renderer #nearest.ytd-ticket-shelf-renderer,
	#primary-event.ytd-ticket-shelf-renderer #meta-info.ytd-ticket-shelf-renderer #subtitle1.ytd-ticket-shelf-renderer,
	#primary-event.ytd-ticket-shelf-renderer #meta-info.ytd-ticket-shelf-renderer #subtitle2.ytd-ticket-shelf-renderer,
	.where-column-td.ytd-ticket-shelf-renderer .where-column.ytd-ticket-shelf-renderer
	{
		color: var(--main-text) !important;
	}
	.when-date-column.ytd-ticket-shelf-renderer, .link.ytd-ticket-shelf-renderer, .when-weekday-column.ytd-ticket-shelf-renderer
	{
		color: var(--main-color) !important;
	}
	/*separator*/
	#seperator.ytd-ticket-shelf-renderer, ytd-ticket-shelf-renderer
	{
		border-color: var(--hover-background) !important;
	}


	/*Author name*/
	#owner-name.ytd-video-owner-renderer
	{
		opacity: .9;
	}
	#owner-name.ytd-video-owner-renderer:hover
	{
		opacity: 1 !important;
	}

	/*Set a memento*/
	ytd-toggle-button-renderer.style-compact-gray[is-paper-button]
	{
		background-color: var(--second-background) !important;
		color: var(--dimmer-text) !important;
	}

	/*Series name*/
	.super-title.ytd-video-primary-info-renderer a, #additional-metadata-line.ytd-video-meta-block
	{
		color: var(--dimmer-text) !important;
		opacity: .8;
	}

	#selectionBar.paper-tabs
	{
    	border-color: var(--main-color) !important;
	}

	/*"Best" of YouTube icons in sidepane*/
	/*.style-scope.ytd-guide-entry-renderer.no-transition
	{
		filter: grayscale(100%);
	}*/

	/* Promo page */
	body.yt-new-promo-page-use-launched-copy .yt-new-promo-page-header
	{
		background: var(--main-background) !important;
	}
	.yt-new-promo-page-section-text, .yt-new-promo-page-header
	{
		color: var(--dimmer-text);
	}
	.yt-new-promo-page-button
	{
		background-color: var(--main-color) !important;
		color: var(--main-text) !important;
		opacity: .9;
	}
	.yt-new-promo-page-button:hover
	{
		opacity: 1;
	}
	/* Crude logo fix */
	.yt-new-promo-page-logo
	{
		filter: grayscale(100%) invert(100%);
	}
	/* Fix for active like/dislike buttons */
	ytd-toggle-button-renderer.style-grey-text[is-icon-button]
	{
		color: var(--yt-button-color);
	}
	ytd-toggle-button-renderer #button.ytd-toggle-button-renderer
	{
		color: inherit;
	}
	/*like/dislike buttons in nested replies*/
	.style-scope.ytd-toggle-button-renderer svg
	{
		fill: var(--dimmer-text) !important;
	}
	.style-scope.ytd-toggle-button-renderer yt-icon-button.style-default-active svg
	{
		fill: var(--main-color) !important;
	}
	/* Fix for placeholders/skeletons */
	ytd-masthead.shell
	{
		background-color: var(--main-background);
	}

	ytd-masthead.shell [class*='skeleton'], [id*='skeleton'] [class*='skeleton'], [id*='skeleton'], .shelf-videos, .skeleton-bg-color
	{
		background-color: var(--hover-background) !important;
		border-color: var(--hover-background) !important;
	}

	#alert-message.ytd-consent-bump-renderer
	{
		color: var(--dimmer-text) !important;
	}

	/*Paid membership*/
	yt-subscription-product-header-renderer.ytd-item-section-renderer
	{
		color: var(--main-text) !important;
	}

	/*Reporting*/
	.introduction-header
	{
		color: var(--main-text) !important;
	}
	.introduction-body, .introduction-bullet-items
	{
		color: var(--dimmer-text) !important;
	}

	/*Help*/
	.ghp-header-searchBox, .ghp-autocomplete-label
	{
		color: var(--dimmer-text) !important;
	}
	/*
	.ghp-header-searchIcon.ghpv-loaded, .ghp-iconTextComponent-icon, .ghp-autocomplete-icon
	{
		filter: invert(100%) grayscale(100%) brightness(150%);
	}
	.ghp-autocompleteGlass
	{
		background: rgba(0,0,0,3) !important;
	}
	.ghp-card-title
	{
		color: var(--main-text) !important;
	}
	.ghp-card, .ghp-content, .ghp-iconTextComponent, .ghp-contentFrame, .hcfe
	{
		background-color: var(--second-background) !important;
		border-color: var(--hover-background) !important;
	}
	.ghp-iconTextComponent:hover .ghp-iconTextComponent-label,
	.ghp-iconTextComponent:hover .ghp-separator
	{
		color: var(--main-color) !important;
		border-color: var(--hover-background) !important;
	}
	.ghp-separator
	{
		border-color: var(--hover-background) !important;
	}
	.ghp-iconTextComponent-label, .hcfe
	{
		color: var(--dimmer-text) !important;
	}
	*/

	/*History*/
	yt-formatted-string.ytd-sub-feed-option-renderer
	{
		color: var(--dimmer-text) !important;
	}
	#title.ytd-sub-feed-selector-renderer, ytd-sub-feed-option-renderer.ytd-sub-feed-selector-renderer
	{
		border-color: var(--hover-background) !important;
	}
	/*dialog confirm*/
	yt-confirm-dialog-renderer[dialog][dialog][dialog]
	{
		background-color: var(--second-background) !important;
	}
	#scroller.yt-confirm-dialog-renderer
	{
		color: var(--dimmer-text) !important;
	}
	#cancel-button.yt-confirm-dialog-renderer
	{
		color: var(--main-text) !important;
	}
	.buttons.yt-confirm-dialog-renderer
	{
		border-color: var(--hover-background) !important;
	}

	/*Premium*/
	/*video*/
	#main-title.ytd-unlimited-offer-module-renderer
	{
		color: var(--main-text) !important;
	}
	#sub-title.ytd-unlimited-offer-module-renderer
	{
		color: var(--dimmer-text) !important;
	}
	/*popup*/
	.ytd-mealbar-promo-renderer-message-title.ytd-mealbar-promo-renderer
	{
		color: var(--main-text) !important;
	}
	.ytd-mealbar-promo-renderer-message-text.ytd-mealbar-promo-renderer
	{
		color: var(--dimmer-text) !important;
	}
	.button-container.ytd-mealbar-promo-renderer
	{
		border-color: var(--hover-background) !important;
	}
	/*the horrible banner on main page*/
	ytd-banner-promo-renderer.banner-promo-style-type-masthead-v2 .ytd-banner-promo-renderer-inline-image.ytd-banner-promo-renderer,
	.ytd-banner-promo-renderer-logo.ytd-banner-promo-renderer yt-img-shadow.ytd-banner-promo-renderer
	{
		filter: grayscale(100%) invert(85%);
	}
	.ytd-banner-promo-renderer-background.ytd-banner-promo-renderer
	{
		background: #262626 !important; /*the matching color resulted due to the filter*/
	}
	.ytd-banner-promo-renderer-title.ytd-banner-promo-renderer
	{
		color: var(--dimmer-text) !important;
	}
	ytd-banner-promo-renderer.banner-promo-style-type-masthead-v2 ytd-button-renderer#action-button.ytd-banner-promo-renderer
	{
		border-color: var(--dimmer-text) !important;
	}
	#dismiss-button[is-icon-button].ytd-banner-promo-renderer
	{
		background: transparent !important;
	}
}
